package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.BusTeacherAuditRecordEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author wangyitao
 * @Desc 教师认证审核记录表(BusTeacherAuditRecord)表服务接口
 * @Date 2024-10-15 14:33:52
 */
public interface BusTeacherAuditRecordService extends IService<BusTeacherAuditRecordEntity> {

    BusTeacherAuditRecordEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusTeacherAuditRecordEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String teacherAuditRecordId, String userId);

    void insert(BusTeacherAuditRecordEntity busTeacherAuditRecord);

}
